com.google.cloud.dataflow.sdk.runners

## Class DataflowJobAlreadyUpdatedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.google.cloud.dataflow.sdk.runners.DataflowJobException
        - - com.google.cloud.dataflow.sdk.runners.DataflowJobAlreadyUpdatedException

All Implemented Interfaces:
  Serializable

    public class DataflowJobAlreadyUpdatedException
    extends DataflowJobException

An exception that is thrown if the existing job has already been updated within the Dataflow service and is no longer able to be updated. The `DataflowPipelineJob` contained within this exception contains information about the pre-existing updated job.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DataflowJobAlreadyUpdatedException(DataflowPipelineJob job, String message)` Create a new `DataflowJobAlreadyUpdatedException` with the specified `DataflowPipelineJob` and message.

### Method Summary

### Methods inherited from class com.google.cloud.dataflow.sdk.runners.DataflowJobException

`getJob`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DataflowJobAlreadyUpdatedException

    public DataflowJobAlreadyUpdatedException(DataflowPipelineJob job,
                                              String message)

Create a new `DataflowJobAlreadyUpdatedException` with the specified `DataflowPipelineJob` and message.